package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.service.IMediaDataService;
import com.zanxiang.game.data.serve.utils.Page;
import org.springframework.stereotype.Service;

/**
 * @author tianhua
 * @time 2023/8/30
 * @Description 媒体数据的逻辑处理
 **/
@Service
public class IMediaDataServiceImpl implements IMediaDataService {

    /**
     * 推广媒体每日数据
     * @param dto PitcherGameMediaDataDayDTO
     * @return Page<PitcherGameMediaDataDayVO>
     */
    @Override
    public Page<PitcherGameMediaDataDayVO> getPitcherGameMediaDataDay(PitcherGameMediaDataDayDTO dto) {
        return null;
    }

    /**
     * 推广媒体每日数据总计
     * @param dto PitcherGameMediaDataDayTotalDTO
     * @return PitcherGameMediaDataDayVO
     */
    @Override
    public PitcherGameMediaDataDayVO getPitcherGameMediaDataDayTotal(PitcherGameMediaDataDayTotalDTO dto) {
        return null;
    }

    /**
     * 推广媒体总数据
     * @param dto PitcherGameMediaDataTotalDTO
     * @return Page<PitcherGameMediaDataTotalVO>
     */
    @Override
    public Page<PitcherGameMediaDataTotalVO> getPitcherGameMediaDataTotal(PitcherGameMediaDataTotalDTO dto) {
        return null;
    }

    /**
     * 推广媒体总数据总计
     * @param dto PitcherGameMediaDataTotalSumDTO
     * @return PitcherGameMediaDataTotalVO
     */
    @Override
    public PitcherGameMediaDataTotalVO getPitcherGameMediaDataTotalSum(PitcherGameMediaDataTotalSumDTO dto) {
        return null;
    }

    /**
     * 投手媒体每日数据
     * @param dto PitcherMediaDataDayDTO
     * @return Page<PitcherMediaDataDayVO>
     */
    @Override
    public Page<PitcherMediaDataDayVO> getPitcherMediaDataDay(PitcherMediaDataDayDTO dto) {
        return null;
    }

    /**
     * 投手媒体每日数据总计
     * @param dto PitcherMediaDataDayTotalDTO
     * @return PitcherMediaDataDayVO
     */
    @Override
    public PitcherMediaDataDayVO getPitcherMediaDataDayTotal(PitcherMediaDataDayTotalDTO dto) {
        return null;
    }

    /**
     * 投手媒体总数据
     * @param dto PitcherMediaDataTotalDTO
     * @return Page<PitcherMediaDataTotalVO>
     */
    @Override
    public Page<PitcherMediaDataTotalVO> getPitcherMediaDataTotal(PitcherMediaDataTotalDTO dto) {
        return null;
    }

    /**
     * 投手媒体总数据总计
     * @param dto PitcherMediaDataTotalSumDTO
     * @return PitcherMediaDataTotalVO
     */
    @Override
    public PitcherMediaDataTotalVO getPitcherMediaDataTotalSum(PitcherMediaDataTotalSumDTO dto) {
        return null;
    }

    /**
     * 游戏媒体每日数据
     * @param dto GameMediaDataDayDTO
     * @return Page<GameMediaDataDayVO>
     */
    @Override
    public Page<GameMediaDataDayVO> getGameMediaDataDay(GameMediaDataDayDTO dto) {
        return null;
    }

    /**
     * 游戏媒体每日数据总计
     * @param dto GameMediaDataDayTotalDTO
     * @return GameMediaDataDayVO
     */
    @Override
    public GameMediaDataDayVO getGameMediaDataDayTotal(GameMediaDataDayTotalDTO dto) {
        return null;
    }

    /**
     * 游戏媒体总数据
     * @param dto GameMediaDataTotalDTO
     * @return Page<GameMediaDataTotalVO>
     */
    @Override
    public Page<GameMediaDataTotalVO> getGameMediaDataTotal(GameMediaDataTotalDTO dto) {
        return null;
    }

    /**
     * 游戏媒体总数据总计
     * @param dto GameMediaDataTotalSumDTO
     * @return GameMediaDataTotalVO
     */
    @Override
    public GameMediaDataTotalVO getGameMediaDataTotalSum(GameMediaDataTotalSumDTO dto) {
        return null;
    }
}
